store | blogs | forums | twitter | facebook | wiki | downloads | support portal
Atomic Secure Linux
It is currently Thu Oct 02, 2014 8:25 am

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 2 posts ] 
Author Message
 Post subject: yum update to MySQL 5.1.43 causes dependency problems [FIX]
Unread postPosted: Mon Jun 14, 2010 9:10 am 
Offline
New Forum User
New Forum User

Joined: Mon Jun 14, 2010 8:50 am
Posts: 2
Just an FYI:

I took the plunge and upgraded from MySQL 5.0 to MySQL 5.1.47 this morning and ran into dependency issues. Here is my problem and solution. I hope this will help you and others.

First attempt:
yum update 'mysql*'

Resulted in this error:
Error: Missing Dependency: libmysqlclient.so.15 is needed by package php-mysql-5.2.13-1.el5.art.i386 (installed)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest

My install is CentOS 5.5 x86_64. Turns out I have some x86_64 and i386 binaries linked to MySQL and it was trying to also update the i386 version of mysql as well.

This is the package that yum update was also trying to install during the upgrade from MySQL 5.0.x to 5.1.x:
"---> Package mysql.i386 0:5.0.77-4.el5_5.3 set to be updated"

The FIX...
rpm -e php-mysql-5.2.13-1.el5.art.i386

...followed by...
yum update 'mysql*'

...allowed me to upgrade from 5.0.x to 5.1.x.

The php-mysql-5.2.13-1.el5.art.i386 is i386-based and was 'forcing' the installation of mysql-5.0.77-4.el5_5.3.i386. Removal of it made the upgrade from 5.0.x to 5.1.x via yum work and removed the dependency.

This helpful tip was helpful in diagnosing the problem:

"Getting rpm to display architecture"[1]

This one is a pretty simple tip, and very useful especially for people using x86_64 systems. Just one line in ~/.rpmmacros will save all sorts of trouble later.

echo "%_query_all_fmt %%{name}-%%{version}-%%{release}.%%{arch}" >> ~/.rpmmacros

[1] Source: http://wiki.centos.org/TipsAndTricks/YumAndRPM

I hope this post has helped you too.

Have a great day!


Top
 Profile  
 
 Post subject: Re: yum update to MySQL 5.1.43 causes dependency problems [F
Unread postPosted: Mon Jun 14, 2010 9:12 am 
Offline
New Forum User
New Forum User

Joined: Mon Jun 14, 2010 8:50 am
Posts: 2
Arg, I just noticed the username/handle I made is "FutureTV" which has to do with the Future of Television. However, I realize that it may look to mean that I'm going to be a TV in the Future. Login handle Fail! I'll be changing this ASAP. :oops:


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 2 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 4 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group